Summary: Package to integrate GeneWeb (V6) into SME Server
%define name smeserver-geneweb
Name: %{name}
%define version 2.1.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-geneweb-2.1.0-locale-2019-12-07.patch
#Patch0: smeserver-geneweb-2.1.0-init.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: geneweb >= 6.08
Requires: smeserver-release >= 9.0
Requires: e-smith-formmagick >= 2.4.0-1
BuildRequires: e-smith-devtools

%description
This RPM must be installed after the geneweb*.el6.sme package
to complete the integration for SME Server.

%changelog
* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 2.1.0-2.sme
- apply locale 2019-12-07 patch

* Wed Apr 03 2019 Michel Begue <mab974@gmail.com> 2.1-1.sme
- first import in sme9 for geneweb v6.08
- geneweb service not started [SME: 6371]
- Add "Base directory" input in panel console.
- perms corrected in templates.metadata
- normalize template and .spec

%prep

rm -rf $RPM_BUILD_ROOT

%setup
%patch1 -p1
#%patch0 -p1

%build
perl createlinks

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
ln -s /etc/rc.d/init.d/geneweb /etc/rc.d/rc7.d/S99geneweb 

%preun
/sbin/e-smith/db configuration setprop geneweb status disabled
/etc/rc.d/init.d/gwd stop

%postun
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/etc/rc.d/init.d/masq restart
